import{s as Ll,n as wl,o as Sl}from"../chunks/scheduler.0219f8bd.js";import{S as xl,i as yl,g as o,s as i,r as p,A as Wl,h as a,f as l,c as s,j as _,u as f,x as r,k as d,y as jl,a as n,v as m,d as v,t as u,w as c}from"../chunks/index.f61edf3b.js";import{C as Yt}from"../chunks/CodeBlock.38e566ae.js";import{H as h,E as Ml}from"../chunks/EditOnGithub.48fa589f.js";function Hl(Qt){let $,Ie,Ae,Te,E,Ce,A,Le,b,qt="Module used to configure Transformers.js.",we,I,Xt="<strong>Example:</strong> Disable remote models.",Se,T,xe,C,el="<strong>Example:</strong> Set local model path.",ye,L,We,w,tl="<strong>Example:</strong> Set cache directory.",je,S,Me,x,ll='<li><a href="#module_env">env</a><ul><li><em>static</em><ul><li><a href="#module_env.apis"><code>.apis</code></a></li> <li><a href="#module_env.env"><code>.env</code></a> : <code>TransformersEnvironment</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_env..IS_BROWSER_ENV"><code>~IS_BROWSER_ENV</code></a></li> <li><a href="#module_env..IS_WEBWORKER_ENV"><code>~IS_WEBWORKER_ENV</code></a></li> <li><a href="#module_env..IS_WEB_CACHE_AVAILABLE"><code>~IS_WEB_CACHE_AVAILABLE</code></a></li> <li><a href="#module_env..IS_WEBGPU_AVAILABLE"><code>~IS_WEBGPU_AVAILABLE</code></a></li> <li><a href="#module_env..IS_PROCESS_AVAILABLE"><code>~IS_PROCESS_AVAILABLE</code></a></li> <li><a href="#module_env..IS_NODE_ENV"><code>~IS_NODE_ENV</code></a></li> <li><a href="#module_env..IS_FS_AVAILABLE"><code>~IS_FS_AVAILABLE</code></a></li> <li><a href="#module_env..IS_PATH_AVAILABLE"><code>~IS_PATH_AVAILABLE</code></a></li> <li><a href="#module_env..TransformersEnvironment"><code>~TransformersEnvironment</code></a> : <code>Object</code></li></ul></li></ul></li>',He,Pe,Be,y,Re,W,ge,j,nl="A read-only object containing information about the APIs available in the current environment.",Ve,M,il='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a>',Je,Ne,ke,H,Oe,P,Ue,B,sl='<strong>Kind</strong>: static constant of <a href="#module_env"><code>env</code></a>',Fe,Ge,Ze,R,ze,g,Ke,V,ol="Whether we are running in a browser environment",De,J,al='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Ye,Qe,qe,N,Xe,k,et,O,rl="Whether we are running in a web worker environment",tt,U,dl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',lt,nt,it,F,st,G,ot,Z,pl="Whether the Cache API is available",at,z,fl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',rt,dt,pt,K,ft,D,mt,Y,ml="Whether the WebGPU API is available",vt,Q,vl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',ut,ct,_t,q,ht,X,$t,ee,ul="Whether the Node.js process API is available",Et,te,cl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',At,bt,It,le,Tt,ne,Ct,ie,_l="Whether we are running in a Node.js environment",Lt,se,hl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',wt,St,xt,oe,yt,ae,Wt,re,$l="Whether the filesystem API is available",jt,de,El='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Mt,Ht,Pt,pe,Bt,fe,Rt,me,Al="Whether the path API is available",gt,ve,bl='<strong>Kind</strong>: inner property of <a href="#module_env"><code>env</code></a>',Vt,Jt,Nt,ue,kt,ce,Ot,_e,Il="Global variable given visible to users to control execution. This provides users a simple way to configure Transformers.js.",Ut,he,Tl='<strong>Kind</strong>: inner typedef of <a href="#module_env"><code>env</code></a><br/> <strong>Properties</strong>',Ft,$e,Cl=`<thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>version</td><td><code>string</code></td><td><p>This version of Transformers.js.</p></td> </tr><tr><td>backends</td><td><code>Object</code></td><td><p>Expose environment variables of different backends,
allowing users to set these variables if they want to.</p></td> </tr><tr><td>allowRemoteModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of remote files, defaults to <code>true</code>.
If set to <code>false</code>, it will have the same effect as setting <code>local_files_only=true</code> when loading pipelines, models, tokenizers, processors, etc.</p></td> </tr><tr><td>remoteHost</td><td><code>string</code></td><td><p>Host URL to load models from. Defaults to the Hugging Face Hub.</p></td> </tr><tr><td>remotePathTemplate</td><td><code>string</code></td><td><p>Path template to fill in and append to <code>remoteHost</code> when loading models.</p></td> </tr><tr><td>allowLocalModels</td><td><code>boolean</code></td><td><p>Whether to allow loading of local files, defaults to <code>false</code> if running in-browser, and <code>true</code> otherwise.
If set to <code>false</code>, it will skip the local file check and try to load the model from the remote host.</p></td> </tr><tr><td>localModelPath</td><td><code>string</code></td><td><p>Path to load local models from. Defaults to <code>/models/</code>.</p></td> </tr><tr><td>useFS</td><td><code>boolean</code></td><td><p>Whether to use the file system to load files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useBrowserCache</td><td><code>boolean</code></td><td><p>Whether to use Cache API to cache models. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>useFSCache</td><td><code>boolean</code></td><td><p>Whether to use the file system to cache files. By default, it is <code>true</code> if available.</p></td> </tr><tr><td>cacheDir</td><td><code>string</code></td><td><p>The directory to use for caching files with the file system. By default, it is <code>./.cache</code>.</p></td> </tr><tr><td>useCustomCache</td><td><code>boolean</code></td><td><p>Whether to use a custom cache system (defined by <code>customCache</code>), defaults to <code>false</code>.</p></td> </tr><tr><td>customCache</td><td><code>Object</code></td><td><p>The custom cache to use. Defaults to <code>null</code>. Note: this must be an object which
implements the <code>match</code> and <code>put</code> functions of the Web Cache API. For more information, see <a href="https://developer.mozilla.org/en-US/docs/Web/API/Cache">https://developer.mozilla.org/en-US/docs/Web/API/Cache</a></p></td></tr></tbody>`,Gt,Zt,zt,Ee,Kt,be,Dt;return A=new h({props:{title:"env",local:"env",headingTag:"h1"}}),T=new Yt({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDBodWdnaW5nZmFjZSUyRnRyYW5zZm9ybWVycyclM0IlMEFlbnYuYWxsb3dSZW1vdGVNb2RlbHMlMjAlM0QlMjBmYWxzZSUzQg==",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/transformers&#x27;</span>;
env.<span class="hljs-property">allowRemoteModels</span> = <span class="hljs-literal">false</span>;`,wrap:!1}}),L=new Yt({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDBodWdnaW5nZmFjZSUyRnRyYW5zZm9ybWVycyclM0IlMEFlbnYubG9jYWxNb2RlbFBhdGglMjAlM0QlMjAnJTJGcGF0aCUyRnRvJTJGbG9jYWwlMkZtb2RlbHMlMkYnJTNC",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/transformers&#x27;</span>;
env.<span class="hljs-property">localModelPath</span> = <span class="hljs-string">&#x27;/path/to/local/models/&#x27;</span>;`,wrap:!1}}),S=new Yt({props:{code:"aW1wb3J0JTIwJTdCJTIwZW52JTIwJTdEJTIwZnJvbSUyMCclNDBodWdnaW5nZmFjZSUyRnRyYW5zZm9ybWVycyclM0IlMEFlbnYuY2FjaGVEaXIlMjAlM0QlMjAnJTJGcGF0aCUyRnRvJTJGY2FjaGUlMkZkaXJlY3RvcnklMkYnJTNC",highlighted:`<span class="hljs-keyword">import</span> { env } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/transformers&#x27;</span>;
env.<span class="hljs-property">cacheDir</span> = <span class="hljs-string">&#x27;/path/to/cache/directory/&#x27;</span>;`,wrap:!1}}),W=new h({props:{title:"env.apis",local:"envapis",headingTag:"h2"}}),P=new h({props:{title:"env.env : <code> TransformersEnvironment </code>",local:"envenv--code-transformersenvironment-code",headingTag:"h2"}}),g=new h({props:{title:"env~IS_BROWSER_ENV",local:"envisbrowserenv",headingTag:"h2"}}),k=new h({props:{title:"env~IS_WEBWORKER_ENV",local:"enviswebworkerenv",headingTag:"h2"}}),G=new h({props:{title:"env~IS_WEB_CACHE_AVAILABLE",local:"enviswebcacheavailable",headingTag:"h2"}}),D=new h({props:{title:"env~IS_WEBGPU_AVAILABLE",local:"enviswebgpuavailable",headingTag:"h2"}}),X=new h({props:{title:"env~IS_PROCESS_AVAILABLE",local:"envisprocessavailable",headingTag:"h2"}}),ne=new h({props:{title:"env~IS_NODE_ENV",local:"envisnodeenv",headingTag:"h2"}}),ae=new h({props:{title:"env~IS_FS_AVAILABLE",local:"envisfsavailable",headingTag:"h2"}}),fe=new h({props:{title:"env~IS_PATH_AVAILABLE",local:"envispathavailable",headingTag:"h2"}}),ce=new h({props:{title:"env~TransformersEnvironment : <code> Object </code>",local:"envtransformersenvironment--code-object-code",headingTag:"h2"}}),Ee=new Ml({props:{source:"https://github.com/xenova/transformers.js/blob/main/docs/source/api/env.md"}}),{c(){$=o("meta"),Ie=i(),Ae=o("p"),Te=i(),E=o("a"),Ce=i(),p(A.$$.fragment),Le=i(),b=o("p"),b.textContent=qt,we=i(),I=o("p"),I.innerHTML=Xt,Se=i(),p(T.$$.fragment),xe=i(),C=o("p"),C.innerHTML=el,ye=i(),p(L.$$.fragment),We=i(),w=o("p"),w.innerHTML=tl,je=i(),p(S.$$.fragment),Me=i(),x=o("ul"),x.innerHTML=ll,He=i(),Pe=o("hr"),Be=i(),y=o("a"),Re=i(),p(W.$$.fragment),ge=i(),j=o("p"),j.textContent=nl,Ve=i(),M=o("p"),M.innerHTML=il,Je=i(),Ne=o("hr"),ke=i(),H=o("a"),Oe=i(),p(P.$$.fragment),Ue=i(),B=o("p"),B.innerHTML=sl,Fe=i(),Ge=o("hr"),Ze=i(),R=o("a"),ze=i(),p(g.$$.fragment),Ke=i(),V=o("p"),V.textContent=ol,De=i(),J=o("p"),J.innerHTML=al,Ye=i(),Qe=o("hr"),qe=i(),N=o("a"),Xe=i(),p(k.$$.fragment),et=i(),O=o("p"),O.textContent=rl,tt=i(),U=o("p"),U.innerHTML=dl,lt=i(),nt=o("hr"),it=i(),F=o("a"),st=i(),p(G.$$.fragment),ot=i(),Z=o("p"),Z.textContent=pl,at=i(),z=o("p"),z.innerHTML=fl,rt=i(),dt=o("hr"),pt=i(),K=o("a"),ft=i(),p(D.$$.fragment),mt=i(),Y=o("p"),Y.textContent=ml,vt=i(),Q=o("p"),Q.innerHTML=vl,ut=i(),ct=o("hr"),_t=i(),q=o("a"),ht=i(),p(X.$$.fragment),$t=i(),ee=o("p"),ee.textContent=ul,Et=i(),te=o("p"),te.innerHTML=cl,At=i(),bt=o("hr"),It=i(),le=o("a"),Tt=i(),p(ne.$$.fragment),Ct=i(),ie=o("p"),ie.textContent=_l,Lt=i(),se=o("p"),se.innerHTML=hl,wt=i(),St=o("hr"),xt=i(),oe=o("a"),yt=i(),p(ae.$$.fragment),Wt=i(),re=o("p"),re.textContent=$l,jt=i(),de=o("p"),de.innerHTML=El,Mt=i(),Ht=o("hr"),Pt=i(),pe=o("a"),Bt=i(),p(fe.$$.fragment),Rt=i(),me=o("p"),me.textContent=Al,gt=i(),ve=o("p"),ve.innerHTML=bl,Vt=i(),Jt=o("hr"),Nt=i(),ue=o("a"),kt=i(),p(ce.$$.fragment),Ot=i(),_e=o("p"),_e.textContent=Il,Ut=i(),he=o("p"),he.innerHTML=Tl,Ft=i(),$e=o("table"),$e.innerHTML=Cl,Gt=i(),Zt=o("hr"),zt=i(),p(Ee.$$.fragment),Kt=i(),be=o("p"),this.h()},l(e){const t=Wl("svelte-u9bgzb",document.head);$=a(t,"META",{name:!0,content:!0}),t.forEach(l),Ie=s(e),Ae=a(e,"P",{}),_(Ae).forEach(l),Te=s(e),E=a(e,"A",{id:!0,class:!0}),_(E).forEach(l),Ce=s(e),f(A.$$.fragment,e),Le=s(e),b=a(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-14jubvb"&&(b.textContent=qt),we=s(e),I=a(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-ooim1v"&&(I.innerHTML=Xt),Se=s(e),f(T.$$.fragment,e),xe=s(e),C=a(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-1rbhmcc"&&(C.innerHTML=el),ye=s(e),f(L.$$.fragment,e),We=s(e),w=a(e,"P",{"data-svelte-h":!0}),r(w)!=="svelte-13xd89q"&&(w.innerHTML=tl),je=s(e),f(S.$$.fragment,e),Me=s(e),x=a(e,"UL",{"data-svelte-h":!0}),r(x)!=="svelte-11z52ev"&&(x.innerHTML=ll),He=s(e),Pe=a(e,"HR",{}),Be=s(e),y=a(e,"A",{id:!0,class:!0}),_(y).forEach(l),Re=s(e),f(W.$$.fragment,e),ge=s(e),j=a(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-3i2dk3"&&(j.textContent=nl),Ve=s(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-g17yg2"&&(M.innerHTML=il),Je=s(e),Ne=a(e,"HR",{}),ke=s(e),H=a(e,"A",{id:!0,class:!0}),_(H).forEach(l),Oe=s(e),f(P.$$.fragment,e),Ue=s(e),B=a(e,"P",{"data-svelte-h":!0}),r(B)!=="svelte-g17yg2"&&(B.innerHTML=sl),Fe=s(e),Ge=a(e,"HR",{}),Ze=s(e),R=a(e,"A",{id:!0,class:!0}),_(R).forEach(l),ze=s(e),f(g.$$.fragment,e),Ke=s(e),V=a(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-1u9p87f"&&(V.textContent=ol),De=s(e),J=a(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-136zjuj"&&(J.innerHTML=al),Ye=s(e),Qe=a(e,"HR",{}),qe=s(e),N=a(e,"A",{id:!0,class:!0}),_(N).forEach(l),Xe=s(e),f(k.$$.fragment,e),et=s(e),O=a(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-1yxpxh"&&(O.textContent=rl),tt=s(e),U=a(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-136zjuj"&&(U.innerHTML=dl),lt=s(e),nt=a(e,"HR",{}),it=s(e),F=a(e,"A",{id:!0,class:!0}),_(F).forEach(l),st=s(e),f(G.$$.fragment,e),ot=s(e),Z=a(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-10rfojt"&&(Z.textContent=pl),at=s(e),z=a(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-136zjuj"&&(z.innerHTML=fl),rt=s(e),dt=a(e,"HR",{}),pt=s(e),K=a(e,"A",{id:!0,class:!0}),_(K).forEach(l),ft=s(e),f(D.$$.fragment,e),mt=s(e),Y=a(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1rg36ch"&&(Y.textContent=ml),vt=s(e),Q=a(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-136zjuj"&&(Q.innerHTML=vl),ut=s(e),ct=a(e,"HR",{}),_t=s(e),q=a(e,"A",{id:!0,class:!0}),_(q).forEach(l),ht=s(e),f(X.$$.fragment,e),$t=s(e),ee=a(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-1bn7tmv"&&(ee.textContent=ul),Et=s(e),te=a(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-136zjuj"&&(te.innerHTML=cl),At=s(e),bt=a(e,"HR",{}),It=s(e),le=a(e,"A",{id:!0,class:!0}),_(le).forEach(l),Tt=s(e),f(ne.$$.fragment,e),Ct=s(e),ie=a(e,"P",{"data-svelte-h":!0}),r(ie)!=="svelte-4r0hfy"&&(ie.textContent=_l),Lt=s(e),se=a(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-136zjuj"&&(se.innerHTML=hl),wt=s(e),St=a(e,"HR",{}),xt=s(e),oe=a(e,"A",{id:!0,class:!0}),_(oe).forEach(l),yt=s(e),f(ae.$$.fragment,e),Wt=s(e),re=a(e,"P",{"data-svelte-h":!0}),r(re)!=="svelte-13lrs7s"&&(re.textContent=$l),jt=s(e),de=a(e,"P",{"data-svelte-h":!0}),r(de)!=="svelte-136zjuj"&&(de.innerHTML=El),Mt=s(e),Ht=a(e,"HR",{}),Pt=s(e),pe=a(e,"A",{id:!0,class:!0}),_(pe).forEach(l),Bt=s(e),f(fe.$$.fragment,e),Rt=s(e),me=a(e,"P",{"data-svelte-h":!0}),r(me)!=="svelte-1ncyrvw"&&(me.textContent=Al),gt=s(e),ve=a(e,"P",{"data-svelte-h":!0}),r(ve)!=="svelte-136zjuj"&&(ve.innerHTML=bl),Vt=s(e),Jt=a(e,"HR",{}),Nt=s(e),ue=a(e,"A",{id:!0,class:!0}),_(ue).forEach(l),kt=s(e),f(ce.$$.fragment,e),Ot=s(e),_e=a(e,"P",{"data-svelte-h":!0}),r(_e)!=="svelte-1ijjkph"&&(_e.textContent=Il),Ut=s(e),he=a(e,"P",{"data-svelte-h":!0}),r(he)!=="svelte-1k5edin"&&(he.innerHTML=Tl),Ft=s(e),$e=a(e,"TABLE",{"data-svelte-h":!0}),r($e)!=="svelte-8iw6t3"&&($e.innerHTML=Cl),Gt=s(e),Zt=a(e,"HR",{}),zt=s(e),f(Ee.$$.fragment,e),Kt=s(e),be=a(e,"P",{}),_(be).forEach(l),this.h()},h(){d($,"name","hf:doc:metadata"),d($,"content",Pl),d(E,"id","module_env"),d(E,"class","group"),d(y,"id","module_env.apis"),d(y,"class","group"),d(H,"id","module_env.env"),d(H,"class","group"),d(R,"id","module_env..IS_BROWSER_ENV"),d(R,"class","group"),d(N,"id","module_env..IS_WEBWORKER_ENV"),d(N,"class","group"),d(F,"id","module_env..IS_WEB_CACHE_AVAILABLE"),d(F,"class","group"),d(K,"id","module_env..IS_WEBGPU_AVAILABLE"),d(K,"class","group"),d(q,"id","module_env..IS_PROCESS_AVAILABLE"),d(q,"class","group"),d(le,"id","module_env..IS_NODE_ENV"),d(le,"class","group"),d(oe,"id","module_env..IS_FS_AVAILABLE"),d(oe,"class","group"),d(pe,"id","module_env..IS_PATH_AVAILABLE"),d(pe,"class","group"),d(ue,"id","module_env..TransformersEnvironment"),d(ue,"class","group")},m(e,t){jl(document.head,$),n(e,Ie,t),n(e,Ae,t),n(e,Te,t),n(e,E,t),n(e,Ce,t),m(A,e,t),n(e,Le,t),n(e,b,t),n(e,we,t),n(e,I,t),n(e,Se,t),m(T,e,t),n(e,xe,t),n(e,C,t),n(e,ye,t),m(L,e,t),n(e,We,t),n(e,w,t),n(e,je,t),m(S,e,t),n(e,Me,t),n(e,x,t),n(e,He,t),n(e,Pe,t),n(e,Be,t),n(e,y,t),n(e,Re,t),m(W,e,t),n(e,ge,t),n(e,j,t),n(e,Ve,t),n(e,M,t),n(e,Je,t),n(e,Ne,t),n(e,ke,t),n(e,H,t),n(e,Oe,t),m(P,e,t),n(e,Ue,t),n(e,B,t),n(e,Fe,t),n(e,Ge,t),n(e,Ze,t),n(e,R,t),n(e,ze,t),m(g,e,t),n(e,Ke,t),n(e,V,t),n(e,De,t),n(e,J,t),n(e,Ye,t),n(e,Qe,t),n(e,qe,t),n(e,N,t),n(e,Xe,t),m(k,e,t),n(e,et,t),n(e,O,t),n(e,tt,t),n(e,U,t),n(e,lt,t),n(e,nt,t),n(e,it,t),n(e,F,t),n(e,st,t),m(G,e,t),n(e,ot,t),n(e,Z,t),n(e,at,t),n(e,z,t),n(e,rt,t),n(e,dt,t),n(e,pt,t),n(e,K,t),n(e,ft,t),m(D,e,t),n(e,mt,t),n(e,Y,t),n(e,vt,t),n(e,Q,t),n(e,ut,t),n(e,ct,t),n(e,_t,t),n(e,q,t),n(e,ht,t),m(X,e,t),n(e,$t,t),n(e,ee,t),n(e,Et,t),n(e,te,t),n(e,At,t),n(e,bt,t),n(e,It,t),n(e,le,t),n(e,Tt,t),m(ne,e,t),n(e,Ct,t),n(e,ie,t),n(e,Lt,t),n(e,se,t),n(e,wt,t),n(e,St,t),n(e,xt,t),n(e,oe,t),n(e,yt,t),m(ae,e,t),n(e,Wt,t),n(e,re,t),n(e,jt,t),n(e,de,t),n(e,Mt,t),n(e,Ht,t),n(e,Pt,t),n(e,pe,t),n(e,Bt,t),m(fe,e,t),n(e,Rt,t),n(e,me,t),n(e,gt,t),n(e,ve,t),n(e,Vt,t),n(e,Jt,t),n(e,Nt,t),n(e,ue,t),n(e,kt,t),m(ce,e,t),n(e,Ot,t),n(e,_e,t),n(e,Ut,t),n(e,he,t),n(e,Ft,t),n(e,$e,t),n(e,Gt,t),n(e,Zt,t),n(e,zt,t),m(Ee,e,t),n(e,Kt,t),n(e,be,t),Dt=!0},p:wl,i(e){Dt||(v(A.$$.fragment,e),v(T.$$.fragment,e),v(L.$$.fragment,e),v(S.$$.fragment,e),v(W.$$.fragment,e),v(P.$$.fragment,e),v(g.$$.fragment,e),v(k.$$.fragment,e),v(G.$$.fragment,e),v(D.$$.fragment,e),v(X.$$.fragment,e),v(ne.$$.fragment,e),v(ae.$$.fragment,e),v(fe.$$.fragment,e),v(ce.$$.fragment,e),v(Ee.$$.fragment,e),Dt=!0)},o(e){u(A.$$.fragment,e),u(T.$$.fragment,e),u(L.$$.fragment,e),u(S.$$.fragment,e),u(W.$$.fragment,e),u(P.$$.fragment,e),u(g.$$.fragment,e),u(k.$$.fragment,e),u(G.$$.fragment,e),u(D.$$.fragment,e),u(X.$$.fragment,e),u(ne.$$.fragment,e),u(ae.$$.fragment,e),u(fe.$$.fragment,e),u(ce.$$.fragment,e),u(Ee.$$.fragment,e),Dt=!1},d(e){e&&(l(Ie),l(Ae),l(Te),l(E),l(Ce),l(Le),l(b),l(we),l(I),l(Se),l(xe),l(C),l(ye),l(We),l(w),l(je),l(Me),l(x),l(He),l(Pe),l(Be),l(y),l(Re),l(ge),l(j),l(Ve),l(M),l(Je),l(Ne),l(ke),l(H),l(Oe),l(Ue),l(B),l(Fe),l(Ge),l(Ze),l(R),l(ze),l(Ke),l(V),l(De),l(J),l(Ye),l(Qe),l(qe),l(N),l(Xe),l(et),l(O),l(tt),l(U),l(lt),l(nt),l(it),l(F),l(st),l(ot),l(Z),l(at),l(z),l(rt),l(dt),l(pt),l(K),l(ft),l(mt),l(Y),l(vt),l(Q),l(ut),l(ct),l(_t),l(q),l(ht),l($t),l(ee),l(Et),l(te),l(At),l(bt),l(It),l(le),l(Tt),l(Ct),l(ie),l(Lt),l(se),l(wt),l(St),l(xt),l(oe),l(yt),l(Wt),l(re),l(jt),l(de),l(Mt),l(Ht),l(Pt),l(pe),l(Bt),l(Rt),l(me),l(gt),l(ve),l(Vt),l(Jt),l(Nt),l(ue),l(kt),l(Ot),l(_e),l(Ut),l(he),l(Ft),l($e),l(Gt),l(Zt),l(zt),l(Kt),l(be)),l($),c(A,e),c(T,e),c(L,e),c(S,e),c(W,e),c(P,e),c(g,e),c(k,e),c(G,e),c(D,e),c(X,e),c(ne,e),c(ae,e),c(fe,e),c(ce,e),c(Ee,e)}}}const Pl='{"title":"env","local":"env","sections":[{"title":"env.apis","local":"envapis","sections":[],"depth":2},{"title":"env.env : <code> TransformersEnvironment </code>","local":"envenv--code-transformersenvironment-code","sections":[],"depth":2},{"title":"env~IS_BROWSER_ENV","local":"envisbrowserenv","sections":[],"depth":2},{"title":"env~IS_WEBWORKER_ENV","local":"enviswebworkerenv","sections":[],"depth":2},{"title":"env~IS_WEB_CACHE_AVAILABLE","local":"enviswebcacheavailable","sections":[],"depth":2},{"title":"env~IS_WEBGPU_AVAILABLE","local":"enviswebgpuavailable","sections":[],"depth":2},{"title":"env~IS_PROCESS_AVAILABLE","local":"envisprocessavailable","sections":[],"depth":2},{"title":"env~IS_NODE_ENV","local":"envisnodeenv","sections":[],"depth":2},{"title":"env~IS_FS_AVAILABLE","local":"envisfsavailable","sections":[],"depth":2},{"title":"env~IS_PATH_AVAILABLE","local":"envispathavailable","sections":[],"depth":2},{"title":"env~TransformersEnvironment : <code> Object </code>","local":"envtransformersenvironment--code-object-code","sections":[],"depth":2}],"depth":1}';function Bl(Qt){return Sl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Nl extends xl{constructor($){super(),yl(this,$,Bl,Hl,Ll,{})}}export{Nl as component};
